@import '../../styles/variables.scss';

.link {
  text-decoration: none;
  cursor: pointer;

  &.__icon {
    align-items: center;

    & > span {
      margin-right: 12px;
    }
  }

  &.__underline {
    text-decoration: underline;
  }

  &.__background {
    padding: 10px 24px;

    justify-content: center;

    border-radius: 24px;
    cursor: pointer;

    font-family: 'Jost', sans-serif;
    font-weight: 400;

    color: #fff;
    background-color: $black;

    &:hover {
      color: #fff !important;
      background-color: $black-hover;
    }
  }

  &:hover {
    & > span {
      color: $red;
    }
  }
}
